Skip to main content

Official websites use .gov
A .gov website belongs to an official government organization in the United States.

Secure .gov websites use HTTPS
A lock ( ) or https:// means you’ve safely connected to the .gov website. Share sensitive information only on official, secure websites.

View and List Practitioners

List all practitioners

The GET /Practitioner operation lets you retrieve a bundle of Practitioner Resources.

Example request

GET /api/v1/Practitioner

Example cURL command

curl 'https://sandbox.dpc.cms.gov/api/v1/Practitioner' \
 -H "Authorization: Bearer $BEARER_TOKEN" \
 -H 'Accept: application/fhir+json'

Get a specific practitioner

Retrieve a single practitioner by providing an NPI number.

Example request

GET /api/v1/Practitioner?identifier={PRACTITIONER_NPI}

Example cURL command

curl 'https://sandbox.dpc.cms.gov/api/v1/Practitioner?identifier={PRACTITIONER_NPI}' \
 -H "Authorization: Bearer $BEARER_TOKEN" \
 -H 'Accept: application/fhir+json' \
 -H 'Content-Type: application/fhir+json'

Example response

{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 1,
  "entry": [
    {         
      "resource": {
        "resourceType": "Practitioner",
        "id": "8d80925a-027e-43dd-8aed-9a501cc4cd91",
        "meta": {
          "lastUpdated": "2020-06-10T18:43:14.150+00:00",
          "profile": [
            "https://dpc.cms.gov/api/v1/StructureDefinition/dpc-profile-practitioner"
          ]
        },
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "2323232225"
          }
        ],
        "name": [
          {
            "family": "Holguín308",
            "given": [
              "Alejandro916"
            ]
          }
        ]
      }
    }
  ]
}
Looking for U.S. government information and services?
Visit USA.gov